import request from '@/utils/request'

// 查询进组培训列表
export function listFirstplan(query) {
  return request({
    url: '/bccnew/firstplan/listAll',
    method: 'get',
    params: query
  })
}// 查询进组培训列表
export function listAllFirstplanByTrainer(query) {
  return request({
    url: '/bccnew/firstplan/listAllByTrainer',
    method: 'get',
    params: query
  })
}

// 查询进组培训详细
export function getFirstplan(id) {
  return request({
    url: '/bccnew/firstplan/' + id,
    method: 'get'
  })
}

// 新增进组培训
export function addFirstplan(data) {
  return request({
    url: '/bccnew/firstplan',
    method: 'post',
    data: data
  })
}

// 修改进组培训
export function updateFirstplan(data) {
  return request({
    url: '/bccnew/firstplan',
    method: 'put',
    data: data
  })
}

// 修改进组培训
export function updateFirstLearnTime(data) {
  return request({
    url: '/bccnew/firstplan/updateFirstLearnTime',
    method: 'put',
    data: data
  })
}

// 删除进组培训
export function delFirstplan(id) {
  return request({
    url: '/bccnew/firstplan/' + id,
    method: 'delete'
  })
}

// 导出进组培训
export function exportFirstplan(query) {
  return request({
    url: '/bccnew/firstplan/export',
    method: 'get',
    params: query
  })
}
